Method: brands.agents.greetings.create

  • Creating a new greeting for an agent using the POST https://businesscommunications.googleapis.com/v1/{parent=brands/*/agents/*}/greetings HTTP request is deprecated.

  • The parent path parameter is required and represents the unique identifier of the agent associated with the greeting.

  • The request and response bodies contain an instance of the Greeting object.

Deprecated: Greetings are deprecated. Please migrate away from the APIs. Creates a new greeting for an agent.

HTTP request

POST https://businesscommunications.googleapis.com/v1/{parent=brands/*/agents/*}/greetings

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The unique identifier of the agent associated with the greeting. If the brand ID is "1234" and the agent ID is "5678", this parameter resolves to "brands/1234/agents/5678".

Request body

The request body contains an instance of Greeting.

Response body

If successful, the response body contains a newly created instance of Greeting.